# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name system-fileio

Name:           ghc-%{pkg_name}
Version:        0.3.11
Release:        2%{?dist}
Summary:        Consistent filesystem interaction across GHC versions

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-system-filepath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
This is a small wrapper around the "directory", "unix", and "Win32" packages,
for use with "system-filepath". It provides a consistent API to the various
versions of these packages distributed with different versions of GHC.

In particular, this library supports working with POSIX files that have paths
which can't be decoded in the current locale encoding.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc license.txt


%files devel -f %{name}-devel.files


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jul 21 2013 Jens Petersen <petersen@redhat.com> - 0.3.11-1
- description

* Sun Jul 21 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.11-0
- spec file generated by cabal-rpm-0.8.3
